Nicolas Colomer commented on SAMZA-855:

We finally decided to not upgrade Samza to current versions (either 0.10, 0.11 
or 0.12 master) but to stay on 0.9.1 instead since we rely on a legacy YARN 
cluster (cdh5.4.0 distribution) and there were (sooo) many conflicts and issues 
to deal with (we tried from surgical maven exclusions to dependency shading).

What we did is we checked out Samza 0.9.1 branch, back ported this PR's changes 
and built a custom 0.9.2-rc1 version that we host on our private repo. We made 
all our jobs successfully reach both staging and production using this patched 
version. All run smoothly to date.

You can take a look at the 0.9.1 patch 
 it might be useful for those in the same situation.

About this PR, I'm afraid we have no way to experience it on our production due 
to the reasons mentioned above. We planned to migrate our Yarn cluster too 
(probably on a Mesos runtime) but it should not happen in a near future.

> Upgrade Samza's Kafka client version to
> ------------------------------------------------
>                 Key: SAMZA-855
>                 URL: https://issues.apache.org/jira/browse/SAMZA-855
>             Project: Samza
>          Issue Type: Bug
>            Reporter: Yi Pan (Data Infrastructure)
>            Assignee: Nicolas Colomer
> As Kafka is out, we should upgrade Samza's client library to 
> to include the new consumer library and the bug fixes.

This message was sent by Atlassian JIRA

Reply via email to